# Botendo version 6

"6th times the charm" ~ me

A Discord music bot, written in Kotlin using the kord library.

[![Latest Release](https://gitlab.com/moonleay/botendo/-/badges/release.svg)](https://gitlab.com/moonleay/botendo/-/releases)
[![pipeline status](https://gitlab.com/moonleay/botendo/badges/master/pipeline.svg)](https://gitlab.com/moonleay/botendo/-/commits/master)
[![License](https://img.shields.io/badge/license-GPL--3.0-brightgreen)](https://gitlab.com/moonleay/botendo/-/blob/master/LICENSE)

## Contributors

[![Developer](https://img.shields.io/badge/moonleay-Developer-red)](https://gitlab.com/moonleay)

## Special Thanks to

- HopeBaron for helping me a lot

## Known issues

- None (currently). Open an issue, report issues to issues@moonleay.net or message moonleay#0001 on Discord

## Commands & Features

- Commands
    - info -- Show basic infos about the bot
    - play -- Play a song and or add it to queue
    - upsert -- Play a song next up
    - stop -- Stop playing a song and leave the vc
    - skip -- Skip to the next song
    - queue -- Show what songs are next up
    - nowplaying -- Show what is currently playing
- Features
   - Button Controller -- You can control the currently playing music using buttons.

## How to self-host (using the Docker container)

1. Pull the container
2. Map /data/ to a folder on disk
3. Run the Bot once
4. Follow step 4 - 7 of "How to self-host (using the JAR)"

## How to self-host (using the JAR)

1. Download the latest release from the Package Registry ("Packages and registries" > "Package Registry")
   1. It should be called something like this: "Botendo-X.X.X-xxxxxxxx-prod.jar" (replace "X.X.X" with the latest
      version and xxxxxxxx" with the commit its based on.)
   2. If you want to run an early version, which may be (very) unsable, you can run a development version. Just use an
      entry ending in "-dev.jar"
2. Place it anywhere you want.
3. Run the following command:
   > java -jar Botendo-X.X.X-xxxxxxxx-prod.jar
4. The bot should start and create a config file named "credentials.nils" in a folder called "data"
5. Open it and put in your credentials.
   1. token: your Discord bot token
   2. lavaip: the IP of your LavaLink instance e.g.: ("ws://192.168.178.1:2333")
   3. lavapw: your password for the LavaLink instance
6. Rerun the command
   > java -jar Botendo-X.X.X-xxxxxxxx-prod.jar
7. The bot should now be up and running.

## How to set up workspace

Install IntellJ and import the project from git.
Done.

## Docker commands 4 me

- docker run -it -m 2g -v/home/limited_dev/Documents/Code/Botendo/run/data/:/data/:rw limiteddev/botendo:x.x.x
- docker build -t limiteddev/botendo:x.x.x .
- docker push limiteddev/botendo:x.x.x
