/*
 * Botendo
 * Copyright (C) 2023 moonleay
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */

package net.moonleay.botendo


///Show the splash and launch the Bot
suspend fun main() {
    println(
        "M#\"\"\"\"\"\"\"'M             dP                           dP          \n" +
                "##  mmmm. `M            88                           88          \n" +
                "#'        .M .d8888b. d8888P .d8888b. 88d888b. .d888b88 .d8888b. \n" +
                "M#  MMMb.'YM 88'  `88   88   88ooood8 88'  `88 88'  `88 88'  `88 \n" +
                "M#  MMMM'  M 88.  .88   88   88.  ... 88    88 88.  .88 88.  .88 \n" +
                "M#       .;M `88888P'   dP   `88888P' dP    dP `88888P8 `88888P' \n" +
                "M#########M                                                      \n" +
                "                                                                 "
    )
    println("Bot v.${net.moonleay.botendo.build.BuildConstants.version}, Kord Extensions v.${net.moonleay.botendo.build.BuildConstants.kordVersion}, LavaKord v.${net.moonleay.botendo.build.BuildConstants.lavaVersion}, Coroutines v.${net.moonleay.botendo.build.BuildConstants.coroutinesVersion}")
    Bot.start()
}
